Imports EDSL.Entities
Imports EDSL.DAL
Partial Public Class CaseStudyArticle
    Inherits BasePage
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Dim objMainPage As New dbMainPage
        Dim objMainPageEntity As New entMainPage

        objMainPageEntity = objMainPage.GetPageDetails("CaseStudyArticle")
        divContent.InnerHtml = objMainPageEntity.PageContent
        SetMetaData(objMainPageEntity.PageMetaContent, ConfigurationManager.AppSettings("BrowserTitleCompanyName") & objMainPageEntity.MetaTitle)

    End Sub

    Public Sub SetMetaData(ByVal content As String, ByVal title As String)

        Me.MetaTitle = title

        If content <> "" Then
            Me.MetaContent = content
        End If


    End Sub
End Class
